# Project: grabpng
# Makefile created by Dev-C++ 4.9.9.2

CPP  = g++.exe
CC   = gcc.exe
WINDRES = windres.exe
RES  = grabpng_private.res
OBJ  = ../grabpng.o ../main.o ../ui/_ui.o ../ui/ui.o ../ui/ui_misc.o ../ui/url_decode.o ../CExEv/CExEv.o ../CExEv/Variant.o $(RES)
LINKOBJ  = ../grabpng.o ../main.o ../ui/_ui.o ../ui/ui.o ../ui/ui_misc.o ../ui/url_decode.o ../CExEv/CExEv.o ../CExEv/Variant.o $(RES)
LIBS =  ../lib/win/fl/*.a ../lib/win/mingw/*.a   
INCS =  -I"../include"  -I"../include/pngpp"  -I"../include/libpng"  -I"../include/zlib" 
CXXINCS =  -I"../include"  -I"../include/pngpp"  -I"../include/libpng"  -I"../include/zlib" 
BIN  = grabpng.exe
CXXFLAGS = $(CXXINCS)  
CFLAGS = $(INCS)  
RM = rm -f

.PHONY: all all-before all-after clean clean-custom

all: all-before grabpng.exe all-after


clean: clean-custom
	${RM} $(OBJ) $(BIN)

$(BIN): $(OBJ)
	$(CPP) $(LINKOBJ) -o "grabpng.exe" $(LIBS)

../grabpng.o: ../grabpng.cpp
	$(CPP) -c ../grabpng.cpp -o ../grabpng.o $(CXXFLAGS)

../main.o: ../main.cpp
	$(CPP) -c ../main.cpp -o ../main.o $(CXXFLAGS)

../ui/_ui.o: ../ui/_ui.cpp
	$(CPP) -c ../ui/_ui.cpp -o ../ui/_ui.o $(CXXFLAGS)

../ui/ui.o: ../ui/ui.cpp
	$(CPP) -c ../ui/ui.cpp -o ../ui/ui.o $(CXXFLAGS)

../ui/ui_misc.o: ../ui/ui_misc.cpp
	$(CPP) -c ../ui/ui_misc.cpp -o ../ui/ui_misc.o $(CXXFLAGS)

../ui/url_decode.o: ../ui/url_decode.cpp
	$(CPP) -c ../ui/url_decode.cpp -o ../ui/url_decode.o $(CXXFLAGS)

../CExEv/CExEv.o: ../CExEv/CExEv.cpp
	$(CPP) -c ../CExEv/CExEv.cpp -o ../CExEv/CExEv.o $(CXXFLAGS)

../CExEv/Variant.o: ../CExEv/Variant.cpp
	$(CPP) -c ../CExEv/Variant.cpp -o ../CExEv/Variant.o $(CXXFLAGS)

grabpng_private.res: grabpng_private.rc 
	$(WINDRES) -i grabpng_private.rc --input-format=rc -o grabpng_private.res -O coff 
